# BeamformingAlgComp_Listen

BeamformingAlgComp_Listen is a software written in Cycling 74 MaxMSP by Ferdinando Olivieri (ferdinando.olivieri@me.com). 

The software is associated to the paper F Olivieri, F M Fazi, P A Nelson, M Shin, S Fontana, L Yue "Theoretical and experimental comparative analysis of beamforming methods for loudspeaker arrays under given performance constraints".

This MaxMSP patch allow the reader to listen to the responses of the beamforming filters measured in the ISVR anechoic chamber and presented in the paper above. 

## License
This work is licensed under a Creative Commons Attribution-NonCommercial 3.0 License.

If you use this software, please cite the paper above and share any modification you make (as per license)  with the author either by contributing to this repository or by sending an email to ferdinando.olivieri@me.com

## Disclaimer

THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR ANY OTHER CONTRIBUTOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Instructions
1. Download ZIP file from Github repo and extract it on your machine
2. Download audio files of the beamforming filters from <http://eprints.soton.ac.uk/id/eprint/387015>, unzip the file and move the audio files to the folder BeamformingAlgComp_Listen/media
3. Add all the audio files (imported in the previous step) to the MaxMSP project
4. Reload project

## Further info
Compiled versions of the software for Mac and Windows can be downloaded at the following links
(MAC)
(WIN)
